package com.wanli.service.impl;

import com.wanli.dao.UserLoginDao;
import com.wanli.dao.impl.UserLoginDaoImpl;
import com.wanli.exception.UserNotFoundException;
import com.wanli.pojo.Users;
import com.wanli.service.UserLoginService;

public class UserLoginServiceImpl implements UserLoginService {
    @Override
    public Users userLogin(String username, String userpwd) {
        UserLoginDao userLoginDao = new UserLoginDaoImpl();
        Users users = userLoginDao.selectUsersByUserNameAndUserPwd(username, userpwd);
        if (users == null) {
            throw new UserNotFoundException("用户名或密码错误");
        }
        return users;
    }
}
